GET https://api.d-tools.com/SI/Subscribe/Clients?includeImported={includeImported}&searchText={searchText}&includeDeleted={includeDeleted}&pageNumber={pageNumber}&pageSize={pageSize}
Get clients published by a SI user.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| includeImported |
Boolean. Include already imported clients. Optional with default value false which means by default you will only see clients which are not imported. |
boolean |
Default value is False |
| searchText |
The search text. |
string |
None. |
| includeDeleted |
Boolean. Include client deleted in SI. Optional with default value false which means by default you will only see active clients which are not deleted. |
boolean |
Default value is False |
| pageNumber |
The page number. |
integer |
Default value is 1 |
| pageSize |
The page size. |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
ClientsResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ClientInfos | Collection of ClientInfo |
None. |
|
| TotalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"ClientInfos": [
{
"Id": "sample string 1",
"Name": "sample string 2",
"Email": "sample string 3",
"Phone": "sample string 4",
"Deleted": true,
"ImportedOn": "2026-06-18T01:37:25.4115307+00:00",
"PublishedOn": "2026-06-18T01:37:25.4115307+00:00"
},
{
"Id": "sample string 1",
"Name": "sample string 2",
"Email": "sample string 3",
"Phone": "sample string 4",
"Deleted": true,
"ImportedOn": "2026-06-18T01:37:25.4115307+00:00",
"PublishedOn": "2026-06-18T01:37:25.4115307+00:00"
}
],
"TotalCount": 1
}